Skip to content

List Objects in an EOS Bucket

GET
/api/v1/storage/list/objects
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/list/objects?bucket_name=<BUCKET_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Set include_versions=true to view version IDs. Use object_name to get versions of a specific object. Leave both empty to retrieve only the list of objects.

bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

include_versions
boolean

Example

true

Include versions in the response. Only true is accepted.

object_name
string

Example

object_name

Object name for which versions are to be fetched.

List of objects inside the specified bucket

Media typeapplication/json
object
code
integer
data
Array<object>
object
bucket_name
string
contentType
string
nullable
is_delete_marker
boolean
is_dir
boolean
is_latest
boolean
nullable
lastModified
string format: date-time
name
string
owner_id
integer
nullable
owner_name
string
nullable
size
integer
storage_class
string
version_id
string
nullable
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"bucket_name": "example-bucket",
"contentType": null,
"is_delete_marker": false,
"is_dir": false,
"is_latest": null,
"lastModified": "2025-01-01T10:00:00Z",
"name": "script.py",
"owner_id": null,
"owner_name": null,
"size": 1234,
"storage_class": "STANDARD",
"version_id": null
}
],
"errors": {},
"message": "Success"
}